Bug 8441 - Hide MODS export for UNIMARC
Summary: Hide MODS export for UNIMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Adrien SAURAT
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-13 13:31 UTC by Adrien SAURAT
Modified: 2013-05-23 06:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.18 KB, patch)
2012-09-20 09:48 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8441: hides MODS export by default in French install (1.29 KB, patch)
2012-09-21 14:53 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-07-13 13:31:19 UTC
Koha doesn't handle export of biblios in MODS format.

Test plan :
Search for biblios in the OPAC
Access a biblio
Export to MODS(XML)
Read the file : it only contains an error message

It would be better to hide this option as long as MODS is not available.
Comment 1 Adrien SAURAT 2012-07-13 13:33:42 UTC
As said in the title but not explained in the test plan, this only occurs when Koha is working on UNIMARC. So, the MODS option should still be displayed for MARC21.
Comment 2 Katrin Fischer 2012-08-14 20:38:28 UTC
Hi Adrien, have you seen OpacExportOptions? You can specify there which export options should be available for the user in the OPAC. If you create a syspref file for French if there isn't already one, you can change the default values to not include MODS. Would that work for you?
Comment 3 Adrien SAURAT 2012-09-20 09:48:29 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2012-09-21 14:53:36 UTC
Created attachment 12436 [details] [review]
[SIGNED-OFF] Bug 8441: hides MODS export by default in French install

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Paul Poulain 2012-10-10 14:55:58 UTC
QA comment: trivial patch
Comment 6 Paul Poulain 2012-10-10 14:57:10 UTC
Patch pushed to master. Will do something only on new setups in french. Easy to port to 3.8, even if very minor
Comment 7 Chris Cormack 2012-10-10 21:27:38 UTC
Pushed to 3.8.x, will be in 3.8.6